Bug 261846 - memory leak in kmix with unstopped alarm
Summary: memory leak in kmix with unstopped alarm
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-02 10:27 UTC by mps
Modified: 2011-12-30 18:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mps 2011-01-02 10:27:18 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

Hi,

I have an audio alarm in kalarm set to go off at the same time everday. If I am not at the computer to turn off the alarm, it keeps sounding. This may continue overnight. When I get back to the computer, it is very slow, swapping all over the place and top shows kmix using a very large amount of memory (last time was 2.3G 'res'). Killing kmix from a console is only way to get back control of the computer, this fixes the problem and I can continue using the computer as normal.

Reproducible everytime. This was happening with the 4.6 betas I think, it has just been recently when I left my computer on over the holiday weekends and the alarm went off continuously that I noticed it and was able to workout what was going wrong.

The alarm in kalarm is a simply daily audio alarm, with the kde_sys_log_in.ogg sound.

Reproducible: Always
Comment 1 Dj YB 2011-01-30 10:59:18 UTC
not exactly the same problem but probably related, not using kalarm kmix is using about 260MB and about 40% cpu time, happens everytime, trying to open the kmix interface to shut it down is not working, and so I have to kill the process every time.
kdemultimedia-4.5.5-1.fc13.i686
Thanks,
YB.
Comment 2 Diaa Sami 2011-02-09 23:25:56 UTC
Ubuntu 10.10 here with updated KDE from kubuntu-ppa

I think I have the same problem, I think this started happening after the last update of KDE to 4.5.5, I can't figure out what triggers it though.

I leave my computer on and when I come back from work I find kmix using 100% of 1 core(25% CPU usage) and a huge amount of memory, usually 1GB+, I have to kill kmix and run it again.
Comment 3 Kent Knudsen 2011-03-14 20:27:11 UTC
Fedora 14 (2.6.35.11-83.fc14.x86_64 - KDE 4.5.5)

From KDE4-startup KMix uses 45-50% CPU, and I can't adjust the volume or left-click on the KMix icon. I have to kill KMix. If I restart KMix it immediately uses 45-50% and the KMix icon doesn't show again. A new session brings back KMix but also the large CPU usage.

Workaround: Using PulseAudio Volume control
Comment 4 Christian Esken 2011-09-09 23:39:52 UTC
You might suffer from a bug that wrote bad profiles.

Remove the defective profiles like this:
   a) Quit KMix (CTRL-q)
   b) Remove but keep profiles in a shell like Konsole: mv ~/.kde*/share/apps/kmix/profiles/* ~
   c) Run KMix again

Please report back whether this helped.

For not getting the problem again, please upgrade to a recent KDE version.
Comment 5 Christian Esken 2011-12-30 18:42:23 UTC
Either it is the profile thing or the  100% CPU issue. Please follow up in bug 288675